commit:     41e7c79e5e47656e68264769fd49d2dd39775292
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 25 05:33:55 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 25 06:24:24 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41e7c79e

app-admin/awscli: Bump to 1.37.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-admin/awscli/Manifest             |  1 +
 app-admin/awscli/awscli-1.37.6.ebuild | 95 +++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index 77927516ff3c..1a32233f2d3c 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -9,3 +9,4 @@ DIST aws-cli-1.37.2.gh.tar.gz 2882709 BLAKE2B 
be8e03342f8c105646c7a92bd9f4716952
 DIST aws-cli-1.37.3.gh.tar.gz 2884369 BLAKE2B 
e7822783dc507724cb9a51063ac7cfe9d19dec60fd5366b158ff2fdfe20b1da8579b05b97a2908fd093c1a6dde60bb72cbc9fe502428da3ab5c4715266d93942
 SHA512 
857151cf504f3944f8e2a4f7ac9058b7091538c4d8da3a55099fb5ccaea594bf99fbfed728d5dc76f7913446153ad7c864b5a81e13aa3d14dd29c4feaed9a97d
 DIST aws-cli-1.37.4.gh.tar.gz 2884450 BLAKE2B 
e0b5a2d1ff0e2dd73f75e1746eeed8106d02e2a6efabc1a9cb828207ed14e6ebe9f9acae728bb03854bc5fa062c8241211831c93ff0c96c32c964719fcc0b338
 SHA512 
f55bd3ea72068a2782ae3a8126999deb6d6e3aa2b5a560c6a8b53f962eae0df436d4e8936090ae0d3c1d445b4204466f6df002c5eaf3248afba9c9eb997d50f6
 DIST aws-cli-1.37.5.gh.tar.gz 2896213 BLAKE2B 
f2af728c80f02f86cc62a039e1be82d797ed1ad2009bcf7715baf38675bdbc872297516cbde19e69b1a2ed0c6c1c9ec47f8545145822df4b87065b973f06522f
 SHA512 
3b2d669455225fca68f9d4d44c4ccb243003bb18c1642f915e5ea36e812ef888b4396062d60d758a6fd70b4831a5199baf1b1dfe13b541fda20036eabd7a0f0d
+DIST aws-cli-1.37.6.gh.tar.gz 2896548 BLAKE2B 
c160d981fc9d2a9c3de69b6d7dfc9fc699ad9ebbd7bd81808a74371059362ee7616a00c1c4d61674f4d9e8ebb35c3047c11d43c8c4bbf4ad63e65771462cc556
 SHA512 
475637e353afef4177d9375f2b8f9c86732ff55040ee1dfdc307a5c7fb6392db983e75324ebabe8016fb5c8712c1433a194a0cff65eda1f930a86b9357aafe28

diff --git a/app-admin/awscli/awscli-1.37.6.ebuild 
b/app-admin/awscli/awscli-1.37.6.ebuild
new file mode 100644
index 000000000000..4a8e0ae852e0
--- /dev/null
+++ b/app-admin/awscli/awscli-1.37.6.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit bash-completion-r1 distutils-r1
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+       https://github.com/aws/aws-cli/
+       https://pypi.org/project/awscli/
+"
+SRC_URI="
+       https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# botocore is x.(y-1).z
+BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) - 1)).$(ver_cut 3-)"
+RDEPEND="
+       >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/rsa[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.11.0[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       !app-admin/awscli-bin
+"
+BDEPEND="
+       test? (
+               dev-python/packaging[${PYTHON_USEDEP}]
+               dev-python/pytest-forked[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+       # strip overzealous upper bounds on requirements
+       sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local serial_tests=(
+               
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
+               
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
+               
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_with_new_version_plugin_success
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
+               
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
+               
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
+               tests/unit/customizations/test_sessionmanager.py
+               tests/unit/test_compat.py::TestIgnoreUserSignals
+               tests/unit/test_help.py
+               
tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
+       )
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       EPYTEST_XDIST= epytest "${serial_tests[@]}"
+
+       local EPYTEST_DESELECT=(
+               "${serial_tests[@]}"
+
+               # flaky (some ordering?)
+               
tests/functional/s3/test_cp_command.py::TestCPCommand::test_multipart_upload_with_checksum_algorithm_crc32
+       )
+       # integration tests require AWS credentials and Internet access
+       epytest tests/{functional,unit}
+}
+
+python_install_all() {
+       newbashcomp bin/aws_bash_completer aws
+
+       insinto /usr/share/zsh/site-functions
+       newins bin/aws_zsh_completer.sh _aws
+
+       distutils-r1_python_install_all
+
+       rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || 
die
+}

Reply via email to